Retrieves the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "309d1ee5-3eaf-4ed3-888d-41719da0cd32",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "7c12e82d-66ee-4b9b-a3cb-f19e5ae5a63c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5b7c2263-2ee9-4f2e-8987-d80993a1d14c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "46aa1380-1577-4dfc-b701-32aada94b031",
"db_currency_id": "e36335bd-de9d-402d-918c-5cb97ab658ab",
"db_language_id": "19f9f211-fbd4-497b-b622-ca9c03807fcb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-08T03:03:59.8392588+00:00"
},
"modified_dateutc": "2026-04-08T03:03:59.8392588+00:00"
}